using SecureShopContracts.BindingModels;
using SecureShopContracts.SearchModels;
using SecureShopContracts.ViewModels;

namespace SecureShopContracts.BusinessLogicsContracts
{
    public interface IFacilitiesLogic
    {
        List<FacilitiesViewModel>? ReadList(FacilitiesSearchModel? model);
        FacilitiesViewModel? ReadElement(FacilitiesSearchModel model);
        bool Create(FacilitiesBindingModel model);
        bool Update(FacilitiesBindingModel model);
        bool Delete(FacilitiesBindingModel model);
    }
}